using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;

using Syncfusion.XlsIO;

namespace FormatRead
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ExcelEngine excelEngine = new ExcelEngine();
            //Step 2 : Instantiate the excel application object.
            IApplication application = excelEngine.Excel;

            //A new workbook is created.[Equivalent to creating a new workbook in MS Excel]
            //The new workbook will have 5 worksheets
            IWorkbook workbook = application.Workbooks.Open(@".\..\..\Sample.xls");
            //The first worksheet object in the worksheets collection is accessed.
            IWorksheet sheet = workbook.Worksheets[0];

            int i = 0;
            foreach (IRange cell in sheet.Cells)
            {
                i++;
                MessageBox.Show(cell.AddressR1C1.ToString());
            }

            MessageBox.Show(i.ToString() + " cell(s) found");

            //Inserting sample text into the first cell of the first worksheet.
            //sheet.Range["A1"].Text = "Hello World";

            //sheet.Range["B1"].Borders.LineStyle = ExcelLineStyle.Medium_dash_dot_dot;

            //for (int i = 1; i < 3; i++)
            //{
             //   for (int j = 1; j < 3; j++)
              //  {
               //     MessageBox.Show(sheet.Range[i,j].CellStyle.Borders[ExcelBordersIndex.EdgeBottom].LineStyle.ToString());
               // }
           // }
            //Saving the workbook to disk.
           // workbook.SaveAs("Sample.xls");

            //Close the workbook.
            workbook.Close();

            Process.Start("Sample.xls");
        }
    }
}